TokenRangeSinkTokenizer (Lucene 2.4.1 API)
Keywords: org.apache.lucene.analysis.sinks.TokenRangeSinkTokenizer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.sinks
Class TokenRangeSinkTokenizer

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.Tokenizer
              org.apache.lucene.analysis.SinkTokenizer
                  org.apache.lucene.analysis.sinks.TokenRangeSinkTokenizer

    public class TokenRangeSinkTokenizer

extends SinkTokenizer

Counts the tokens as they go by and saves to the internal list those between the range of lower and upper, exclusive of upper

Field Summary

Fields inherited from class org.apache.lucene.analysis.SinkTokenizer
`iter, lst`

Fields inherited from class org.apache.lucene.analysis.Tokenizer
`input`

Constructor Summary
`TokenRangeSinkTokenizer(int lower, int upper)`
`TokenRangeSinkTokenizer(int initCap, int lower, int upper)`

Method Summary
`void` | `add(Token t)`
`void` | `reset()`

Methods inherited from class org.apache.lucene.analysis.SinkTokenizer
`close, getTokens, next`

Methods inherited from class org.apache.lucene.analysis.Tokenizer
`reset`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`next`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TokenRangeSinkTokenizer

    public TokenRangeSinkTokenizer(int lower,
                                   int upper)

### TokenRangeSinkTokenizer

    public TokenRangeSinkTokenizer(int initCap,
                                   int lower,
                                   int upper)

Method Detail

### add

    public void add(Token t)

  Overrides:
    `add` in class `SinkTokenizer`

### reset

    public void reset()
               throws IOException

  Overrides:
    `reset` in class `SinkTokenizer`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.